Subject: Re: bug#26201: hydra.gnu.org uses ‘guix publish’ for nars and narinfos

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 27 Mar 2017 20:47:17 +0200

Guix,

On 26/03/17 19:35, Tobias Geerinckx-Rice wrote:
> I can try to do some simple tests tomorrow.

Two observations:

- ‘proxy_cache_lock_timeout’ alone won't suffice to serialise requests;
  ‘proxy_cache_lock_age’ must also be set to an equally ridiculously
  long span. Otherwise, multiple requests will still be sent to ‘guix
  publish’ if they are more than 5s apart. Bleh.

  (The problem then becomes that clients will stall while the file is
   being cached, as explained by Mark. curl patiently waited.)

- Say client A requests a nar from ‘guix publish’ (no nginx involved).
  If another client requests the same nar while A's still downloading,
  ‘guix publish’ will... silently drop A's connection?
  I was not expecting this.

Kind regards,

T G-R